import '@testing-library/jest-dom'
import {server} from "./mocks/server";

require('dotenv').config({path: './.env.local'});

jest.mock('next/router', () => jest.requireActual('next-router-mock'))

beforeAll(() => {
    server.listen()
})
beforeEach(() => {
    localStorage.clear();
})

afterEach(() => {
    server.resetHandlers()
})

afterAll(() => {
    server.close()
})

